(function (Drupal, $) {

  Drupal.behaviors.modalMenuBlockExpandable = {
    attach: function (context) {
      const menus = once('modalMenuBlockExpandable', '.modal-menu-block.expandable');
      menus.forEach(menu => {
        // Add an "opener" element to LIs with ULs.
        $('li', menu).each((idx, item) => {
          $(item).children('ul').before('<a class="modal-menu-block--opener"></a>');
        });

        // Bind to click event to manipulate the LIs "expanded" class.
        $('.modal-menu-block--opener', menu).on('click', function (event) {
          event.preventDefault();
          $(this).parent('li').toggleClass('expanded').children('ul').slideToggle();
        });
      });
    }
  };

})(Drupal, jQuery)
